moving out an old script and relocating some to more rational folders.
+++ /dev/null
-#!/bin/bash
-
-# checker_report: runs the checker utility against all files in a directory,
-# in such a way that the file count can be very high without blowing its
-# mind, and without any extra headers in the report.
-
-source $FEISTY_MEOW_SCRIPTS/core/functions.sh
-
-dirname="$1"; shift
-outfile="$1"; shift # optional parm.
-
-if [ -z "$dirname" ]; then
- echo "This script requires one directory on which to make a checker report."
- echo "Additionally, you can specify an output file as the second parameter."
- exit 1
-fi
-
-if [ -z "$outfile" ]; then
- outfile="$HOME/checker_report_$(hostname)_$(date_stringer).txt"
-fi
-
-if [ -f "$outfile" ]; then
- rm "$outfile"
-fi
-
-temp_file_list="$(mktemp /tmp/file_list_temporary.XXXXXX)"
-
-find "$dirname" -type f >"$temp_file_list"
-###-exec echo \"{}\" ';'
-while read input_text; do
- checker -q -b "$input_text" 2>&1 >>"$outfile"
-done <"$temp_file_list"
-
-
+++ /dev/null
-#!/bin/bash
-
-for i in $*; do
- dirname="$i"
-
- # make sure this is not a subversion or CVS directory.
- if [[ $i =~ .*\.svn.* || $i =~ .*CVS.* ]]; then
-#echo directory matched svn or cvs folder
- continue;
- fi
-
- # only operate on existent dirs.
- if [ ! -d "$i" ]; then
- continue;
- fi
-
- entries=($(ls -1 "$i"))
- ent_len=${#entries[*]}
-#echo dir $i has entries:
-#echo ${entries[*]}
-#echo len is $ent_len
- if [ $ent_len -eq 0 ]; then
- # this directory has nothing!
-#echo "has zero ents!"
- echo $i
- fi
-done
-
+++ /dev/null
-#!/bin/bash
-# dos_perm: whacks a directory with the most open set of permissions
-# available to the dos/windoze attrib command.
-
-folder="$1"; shift
-
-if [ -z "$folder" ]; then
- echo "This program requires a folder to set the permissions on. That folder and all"
- echo "files in it will be opened up to as full a permission level as DOS's attrib"
- echo "command is capable of."
- exit 3
-fi
-
-folder="${folder}/" # add a slash to ensure there's at least one after drive letters.
-
-dos_folder=$(echo $folder | sed -e 's/\/\([a-zA-Z]\)\/\(.*\)/\1:\/\2/' | sed -e 's/\//\\\\/g')
-#echo dos folder is $dos_folder
-
-attrib -r -s -h //s //d "$dos_folder\\*"
-
+++ /dev/null
-#!/bin/bash
-# easyperm: traverses directory trees and sets the permissions to a completely
-# accessible value (rwxrwxrwx for directories and rw-rw-rw- for files).
-
-declare -a args=("$@")
-
-if [ -z "${args[*]}" ]; then
- echo "no arguments provided."
- exit 1;
-fi
-
-for (( i=0; i < ${#args[*]}; i++ )); do
- current="${args[i]}"
-# echo "curr is $current"
-
- find "$current" -type d -exec chmod 777 {} ';'
-# >/dev/null 2>/dev/null
- find "$current" -type f -exec chmod 666 {} ';'
-# >/dev/null 2>/dev/null
-done
-
+++ /dev/null
-#!/bin/bash
-# exeperm sets the permissions to an executable value, as for a directory of
-# binary files. (rwxr-xr-x for both directories and files)
-
-declare -a args=("$@")
-
-if [ -z "${args[*]}" ]; then
- echo "no arguments provided."
- exit 1;
-fi
-
-for (( i=0; i < ${#args[*]}; i++ )); do
- current="${args[i]}"
-# echo "curr is $current"
-
- find "$current" -type d -exec chmod 755 {} ';'
-# >/dev/null 2>/dev/null
- find "$current" -type f -exec chmod 755 {} ';'
-# >/dev/null 2>/dev/null
-done
-
+++ /dev/null
-#!/bin/bash
-
-# fixes the permissions of files in the local games directory so that
-# everyone can run or read them if the owner could.
-
-sudo find /home/games -type f -perm /100 -exec chmod a+x {} ';'
-sudo find /home/games -type f -perm /400 -exec chmod a+r {} ';'
-
-sudo find /home/games -type d -exec chmod a+rx {} ';'
-
+++ /dev/null
-#!/bin/bash
-# harshperm traverses directory trees and sets the permissions to a restricted
-# value (rwx------ for directories and rw------- for files).
-
-declare -a args=("$@")
-
-if [ -z "${args[*]}" ]; then
- echo "no arguments provided."
- exit 1;
-fi
-
-for (( i=0; i < ${#args[*]}; i++ )); do
- current="${args[i]}"
-# echo "curr is $current"
-
- find "$current" -type d -exec chmod 700 {} ';'
-# >/dev/null 2>/dev/null
- find "$current" -type f -exec chmod 600 {} ';'
-# >/dev/null 2>/dev/null
-done
+++ /dev/null
-#!/bin/bash
-# normal_perm: traverses directory trees and sets the permissions to a
-# standard accessibility value. for fred, this is rwxr-xr-x for directories
-# and rw-r--r-- for files.
-
-declare -a args=("$@")
-
-if [ -z "${args[*]}" ]; then
- echo "no arguments provided."
- exit 1;
-fi
-
-for (( i=0; i < ${#args[*]}; i++ )); do
- current="${args[i]}"
-# echo "curr is $current"
- find "$current" -type d -exec chmod 755 {} ';'
-### >/dev/null 2>/dev/null
- find "$current" -type f -exec chmod 644 {} ';'
-### >/dev/null 2>/dev/null
-done
-
--- /dev/null
+#!/bin/bash
+
+# checker_report: runs the checker utility against all files in a directory,
+# in such a way that the file count can be very high without blowing its
+# mind, and without any extra headers in the report.
+
+source $FEISTY_MEOW_SCRIPTS/core/functions.sh
+
+dirname="$1"; shift
+outfile="$1"; shift # optional parm.
+
+if [ -z "$dirname" ]; then
+ echo "This script requires one directory on which to make a checker report."
+ echo "Additionally, you can specify an output file as the second parameter."
+ exit 1
+fi
+
+if [ -z "$outfile" ]; then
+ outfile="$HOME/checker_report_$(hostname)_$(date_stringer).txt"
+fi
+
+if [ -f "$outfile" ]; then
+ rm "$outfile"
+fi
+
+temp_file_list="$(mktemp /tmp/file_list_temporary.XXXXXX)"
+
+find "$dirname" -type f >"$temp_file_list"
+###-exec echo \"{}\" ';'
+while read input_text; do
+ checker -q -b "$input_text" 2>&1 >>"$outfile"
+done <"$temp_file_list"
+
+
--- /dev/null
+#!/bin/bash
+# dos_perm: whacks a directory with the most open set of permissions
+# available to the dos/windoze attrib command.
+
+folder="$1"; shift
+
+if [ -z "$folder" ]; then
+ echo "This program requires a folder to set the permissions on. That folder and all"
+ echo "files in it will be opened up to as full a permission level as DOS's attrib"
+ echo "command is capable of."
+ exit 3
+fi
+
+folder="${folder}/" # add a slash to ensure there's at least one after drive letters.
+
+dos_folder=$(echo $folder | sed -e 's/\/\([a-zA-Z]\)\/\(.*\)/\1:\/\2/' | sed -e 's/\//\\\\/g')
+#echo dos folder is $dos_folder
+
+attrib -r -s -h //s //d "$dos_folder\\*"
+
--- /dev/null
+#!/bin/bash
+# easyperm: traverses directory trees and sets the permissions to a completely
+# accessible value (rwxrwxrwx for directories and rw-rw-rw- for files).
+
+declare -a args=("$@")
+
+if [ -z "${args[*]}" ]; then
+ echo "no arguments provided."
+ exit 1;
+fi
+
+for (( i=0; i < ${#args[*]}; i++ )); do
+ current="${args[i]}"
+# echo "curr is $current"
+
+ find "$current" -type d -exec chmod 777 {} ';'
+# >/dev/null 2>/dev/null
+ find "$current" -type f -exec chmod 666 {} ';'
+# >/dev/null 2>/dev/null
+done
+
--- /dev/null
+#!/bin/bash
+# exeperm sets the permissions to an executable value, as for a directory of
+# binary files. (rwxr-xr-x for both directories and files)
+
+declare -a args=("$@")
+
+if [ -z "${args[*]}" ]; then
+ echo "no arguments provided."
+ exit 1;
+fi
+
+for (( i=0; i < ${#args[*]}; i++ )); do
+ current="${args[i]}"
+# echo "curr is $current"
+
+ find "$current" -type d -exec chmod 755 {} ';'
+# >/dev/null 2>/dev/null
+ find "$current" -type f -exec chmod 755 {} ';'
+# >/dev/null 2>/dev/null
+done
+
--- /dev/null
+#!/bin/bash
+
+# fixes the permissions of files in the local games directory so that
+# everyone can run or read them if the owner could.
+
+sudo find /home/games -type f -perm /100 -exec chmod a+x {} ';'
+sudo find /home/games -type f -perm /400 -exec chmod a+r {} ';'
+
+sudo find /home/games -type d -exec chmod a+rx {} ';'
+
--- /dev/null
+#!/bin/bash
+# harshperm traverses directory trees and sets the permissions to a restricted
+# value (rwx------ for directories and rw------- for files).
+
+declare -a args=("$@")
+
+if [ -z "${args[*]}" ]; then
+ echo "no arguments provided."
+ exit 1;
+fi
+
+for (( i=0; i < ${#args[*]}; i++ )); do
+ current="${args[i]}"
+# echo "curr is $current"
+
+ find "$current" -type d -exec chmod 700 {} ';'
+# >/dev/null 2>/dev/null
+ find "$current" -type f -exec chmod 600 {} ';'
+# >/dev/null 2>/dev/null
+done
--- /dev/null
+#!/bin/bash
+# normal_perm: traverses directory trees and sets the permissions to a
+# standard accessibility value. for fred, this is rwxr-xr-x for directories
+# and rw-r--r-- for files.
+
+declare -a args=("$@")
+
+if [ -z "${args[*]}" ]; then
+ echo "no arguments provided."
+ exit 1;
+fi
+
+for (( i=0; i < ${#args[*]}; i++ )); do
+ current="${args[i]}"
+# echo "curr is $current"
+ find "$current" -type d -exec chmod 755 {} ';'
+### >/dev/null 2>/dev/null
+ find "$current" -type f -exec chmod 644 {} ';'
+### >/dev/null 2>/dev/null
+done
+
input_file="$1"; shift
answer_file="$1"; shift
-eval "$to_run" < "$input_file" | bash "$FEISTY_MEOW_SCRIPTS/unit_test/verify_correct_input.sh" "$answer_file"
+eval "$to_run" < "$input_file" | bash "$FEISTY_MEOW_SCRIPTS/testing/verify_correct_input.sh" "$answer_file"